JDialog:
  name: frame
  title: frame.title
  size: packed
  locationRelativeTo: null
  defaultCloseOperation: disposeOnClose
  iconImage: img.ae
  modalityType: applicationModal
  content:
    - JButton(name=btnOk, text=btnOk, onAction=[save,dispose])
    - JButton(name=btnCancel, text=btnCancel, onAction=[dispose])
    - JPanel(name=panSetupDefaults, groupTitle=panSetupDefaults):
      - JLabel(name=lblCreateDesktop, text=lblCreateDesktop)
      - JCheckBox(name=chkCreateDesktop)
      - JLabel(name=lblDesktopFolder, text=lblDesktopFolder)
      - JTextField(name=txtDesktopFolder, toolTipText=txtDesktopFolder)
      - MigLayout: |
           [min]                [grow]
           >lblCreateDesktop    chkCreateDesktop         [pref]
           >lblDesktopFolder    txtDesktopFolder         [pref]
    - JPanel(name=panUI, groupTitle=panUI):
      - JLabel(name=lblLaF, text=lblLaF)
      - JComboBox(name=cmbLaF, minimumSize=150x10)
      - MigLayout: |
           [min]        [grow]
           >lblLaF      cmbLaF    [pref]
    - MigLayout: |
         [grow]
         panSetupDefaults        [pref]
         panUI                   [pref]
         >btnOk+*=1,btnCancel=1  [min]
  